/* Memory areas */
MEMORY {
  RAM (xrw)  : ORIGIN = 0x20000000, LENGTH = 16K
  FLASH (rx) : ORIGIN = 0x08004000, LENGTH = 16K
}

/* Define output sections */
SECTIONS {
  /* The program code and other data goes into FLASH */
  .text : {
    KEEP(*(.vectors))
    *(.text)	/* code */
    *(.rodata)	/* constants, strings */
  } >FLASH
  /* Initialized data goes into RAM and FLASH */
  .data : {
    *(.data)
  } >RAM AT> FLASH
  /* Zeroed and uninitialized data goes into RAM */
  .bss : {
    *(.bss)
    *(.noinit)
  } >RAM
}
